distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	printed circuit board editor
Name:      	pcb
Version:   	20081128
Release:   	1
Provides:  	pcb
License : 	GPL
url:		http://pcb.sourceforge.net/	
Group:     	Graphics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: tk-devel
BuildRequires: zlib-devel

%description
PCB is an interactive printed circuit board editor for the X11 window system. PCB includes a rats nest feature, design rule checking, and can provide industry standard RS-274-X (Gerber), NC drill, and centroid data (X-Y data) output for use in the board fabrication and assembly process. PCB offers high end features such as an autorouter and trace optimizer which can tremendously reduce layout time. 

%post
ldconfig
/sbin/install-info %{_infodir}/pcb.info.gz %{_infodir}/dir

%preun
ldconfig
if [ "$1" = 0 ]; then
     /sbin/install-info --del %{_infodir}/pcb.info.gz %{_infodir}/dir
fi

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix  \
		--mandir=%_mandir \
		--infodir=%_infodir \
		-disable-debug \
		--disable-update-mime-database \
		--disable-update-desktop-database \
		--enable-threads=posix \
		--enable-dbus 
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
rm -rf $RPM_BUILD_ROOT%_infodir/dir


%files
%defattr(-,root,root)
%_bindir/MergePCBPS
%_bindir/Merge_dimPCBPS
%_bindir/pcb
%_datadir/pcb
%_datadir/locale/*/LC_MESSAGES/pcb.mo
%_datadir/doc/pcb
%_datadir/applications/pcb.desktop
%_datadir/icons/hicolor/*/mimetypes/application-x-excellon.png
%_datadir/icons/hicolor/*/mimetypes/application-x-gerber.png
%_datadir/icons/hicolor/*/mimetypes/application-x-pcb-footprint.png
%_datadir/icons/hicolor/*/mimetypes/application-x-pcb-layout.png
%_datadir/icons/hicolor/*/mimetypes/application-x-pcb-netlist.png
%_datadir/icons/hicolor/scalable/mimetypes/application-x-excellon.svg
%_datadir/icons/hicolor/scalable/mimetypes/application-x-gerber.svg
%_datadir/icons/hicolor/scalable/mimetypes/application-x-pcb-footprint.svg
%_datadir/icons/hicolor/scalable/mimetypes/application-x-pcb-layout.svg
%_datadir/icons/hicolor/scalable/mimetypes/application-x-pcb-netlist.svg
%_datadir/icons/hicolor/*/apps/pcb.png
%_datadir/icons/hicolor/scalable/apps/pcb.svg
%_datadir/mimelnk/application/x-excellon.desktop
%_datadir/mimelnk/application/x-gerber.desktop
%_datadir/mimelnk/application/x-pcb-footprint.desktop
%_datadir/mimelnk/application/x-pcb-layout.desktop
%_datadir/mimelnk/application/x-pcb-netlist.desktop
%_datadir/mime/packages/pcb.xml
%_infodir/pcb.info*.gz
%_mandir/man1/pcb.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 20081129-1
- Version update
* Sat Feb 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 20070208p1-1
- initial release                 
